RedHat9 で、つかっている PHP を、4.2.2 以上にアップグレードしたいのですが、RPM で行えるのでしょうか? 最近よくつかわれるPHP のRPMがあったら教えてください。

回答の条件
  • URL必須
  • 1人2回まで
  • 登録:2005/07/09 13:54:55
  • 終了:--

回答(2件)

id:ymlab No.1

ymlab回答回数508ベストアンサー獲得回数342005/07/09 14:12:27

ポイント30pt

http://rpm.fumika.jp/php

PHP RPM for Red Hat Linux 9

RPM版は参考URL(1)ということみたいでした。


Fedore CoreのページからRedHatLinux9のi386用のrpmがダウンロードできます。


http://www.fedoralegacy.org/updates/RH9/2004-10-07-FLSA_2004_186...

する方法:

# rpm -i [RPMのファイル名] --enable-mbstring --enable-mbstr-enc-trans

という感じでは?


apt-get が使えるのでしたら、

# apt-get update

# apt-get install php

がよろしいのでは?


ソースからインストールするのでは、[?や*はバージョン]

# tar zxvf php-?.?.*.tar.gz

した後、

# cd php-?.?.*

#su

#./configure --with-apxs=/usr/sbin/apxs --enable-mbstring

#make

[結構の時間待つ]

#make install

#exit


で良いと思います。

http://www.miloweb.net/php.html

PHP( RPM 版)の導入 - Linux で自宅サーバ [ Home Server Technical. ]

id:kaiketsu

4.2.2より上のバージョンが欲しいのです。

2005/07/09 15:22:07
id:ymlab No.2

ymlab回答回数508ベストアンサー獲得回数342005/07/09 16:08:54

ポイント30pt

2回目ですので、ポイントは結構です。

4.2.2以上とのことなので、4.2.2を含むと思いました。すみません。


Red Hatは、既に開発を終了しているので、4.2.2以上のバージョンを正式にリリースすることはないと思います。

 今後は、Fedora Projectが開発を継続するので、Fedoraのサイトから新しいPHPを落とすとよいと思います。


4.3以降は付属のRPM化するパッチは正常に動作しないみたいです。

id:kaiketsu

言葉の使い方まちがっていてすみません。

やっぱりだめなんですね。

2005/07/10 07:53:23

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません